| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions | Variables
GaudiConfig.ControlFlow Namespace Reference

## Classes
class | _TestAlgorithm
class | _TestVisitor
class | AndNode
class | ControlFlowBool
class | ControlFlowLeaf
class | ControlFlowNode
class | DotVisitor
class | ignore
class | InvertNode
class | line
class | OrderedNode
class | OrNode
class | par
class | seq

## Functions
def | test ()

## Variables
| CFTrue = ControlFlowBool(True)
| CFFalse = ControlFlowBool(False)

## Detailed Description

    Classes for the implementation of the Control Flow Structure Syntax.

    @see: https://github.com/lhcb/scheduling-event-model/tree/master/controlflow_syntax

## Function Documentation

def GaudiConfig.ControlFlow.test | ( |  | ) |

Definition at line 298 of file ControlFlow.py.

298 def test():
299 Algorithm = _TestAlgorithm
300
301 a = Algorithm("a")
302 b = Algorithm("b")
303 c = Algorithm("c")
304 d = Algorithm("d")
305 e = Algorithm("e")
306 f = Algorithm("f")
307 g = Algorithm("g")
308 sequence = seq(b >> a >> f)
309 expression = sequence | ~c & par(d & e & g)
310 a = (expression == expression)
311 aLine = line("MyTriggerPath", expression)
312 visitor = _TestVisitor()
313 visitor2 = DotVisitor()
314 print "\nPrinting trigger line:"
315 print aLine
316 print "\nPrinting expression:"
317 print expression
318 print "\nTraversing through expression:\n"
319 expression.visitNode(visitor)
320 expression.visitNode(visitor2)
321 visitor2.write("out.dot")
322
GaudiConfig.ControlFlow.DotVisitor
Definition: ControlFlow.py:216
GaudiConfig.ControlFlow._TestVisitor
Definition: ControlFlow.py:190
GaudiConfig.ControlFlow.par
Definition: ControlFlow.py:156
GaudiConfig.ControlFlow.seq
Definition: ControlFlow.py:167
GaudiConfig.ControlFlow.line
Definition: ControlFlow.py:178
Algorithm
Base class from which all concrete algorithm classes should be derived.
Definition: Algorithm.h:78
GaudiConfig.ControlFlow.test
def test()
Definition: ControlFlow.py:298

## Variable Documentation

GaudiConfig.ControlFlow.CFFalse = ControlFlowBool(False)

Definition at line 77 of file ControlFlow.py.

GaudiConfig.ControlFlow.CFTrue = ControlFlowBool(True)

Definition at line 76 of file ControlFlow.py.